(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = section; inactive; startGroup; ]
1.4 Symbolic Calculations
:[font = subsection; inactive; startGroup; Cclosed; ]
1.4.1 Polynomials
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Definitions
:[font = input; nowordwrap; ]
x = N[Pi]
:[font = input; nowordwrap; ]
x = 1 + a + b
:[font = input; nowordwrap; ]
x^2
:[font = input; nowordwrap; ]
x = .
:[font = input; preserveAspect; nowordwrap; ]
Clear["Global`*"]
:[font = input; nowordwrap; ]
(a x^3 + b x + 3 c)
:[font = input; endGroup; nowordwrap; ]
myPoly = %^2
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Expanding and Factoring
:[font = input; nowordwrap; ]
Expand[myPoly]
:[font = input; nowordwrap; ]
Factor[%]
:[font = input; nowordwrap; ]
Collect[myPoly, a]
:[font = input; nowordwrap; ]
Factor[1 - x^2 + x^4]
:[font = input; nowordwrap; ]
Factor[1 - x^2 + x^4, GaussianIntegers -> True]
:[font = input; nowordwrap; ]
trigPoly = Expand[(1 + Sin[x]^2 + Sin[x] + Cos[x]^2)^2]
:[font = input; nowordwrap; ]
Simplify[trigPoly]
:[font = input; nowordwrap; ]
Expand[trigPoly, Trig -> True]
:[font = input; nowordwrap; ]
Factor[%, Trig -> True]
:[font = input; nowordwrap; ]
poly1 = (1 + x)^7
:[font = input; nowordwrap; ]
Expand[poly1]
:[font = input; nowordwrap; ]
poly2 = 1 - x^7
:[font = input; nowordwrap; ]
Factor[poly2]
:[font = input; nowordwrap; ]
Simplify[poly1]
:[font = input; endGroup; nowordwrap; ]
Simplify[poly2]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Rational Functions
:[font = input; nowordwrap; ]
quot1 = poly2 / (1 - x)
:[font = input; nowordwrap; ]
Simplify[quot1]
:[font = input; nowordwrap; ]
Cancel[quot1]
:[font = input; nowordwrap; ]
Simplify[%]
:[font = input; nowordwrap; ]
quot2 = (a + b)^2/(a - b)^3 + 1/(a - b)^2
:[font = input; nowordwrap; ]
ExpandDenominator[quot2]
:[font = input; nowordwrap; ]
ExpandNumerator[quot2]
:[font = input; nowordwrap; ]
ExpandAll[quot2]
:[font = input; nowordwrap; ]
Together[quot2]
:[font = input; endGroup; nowordwrap; ]
Apart[quot2, a]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Values, Rules, Lists
:[font = input; nowordwrap; ]
quot2 /. a -> 3
:[font = input; nowordwrap; ]
quot2 /. {a -> 3, b -> 5}
:[font = input; nowordwrap; ]
numRule = {a -> 3, b -> 5}
:[font = input; nowordwrap; ]
quot2 /. numRule
:[font = input; preserveAspect; endGroup; nowordwrap; ]
numRule[[2]]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Unwanted Infinite Recursions
:[font = input; nowordwrap; ]
y = y + 1
:[font = input; nowordwrap; ]
x = a
:[font = input; nowordwrap; ]
y = y + 1
:[font = input; preserveAspect; nowordwrap; ]
y = a
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
y = y + 1
:[font = subsection; inactive; startGroup; Cclosed; ]
1.4.2 Equations
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Single Equations
:[font = input; nowordwrap; ]
a x^2 + 7 b x + 15 == 0
:[font = input; nowordwrap; ]
equation1 = a x^2 + 7 b x + 15 == 0
:[font = input; nowordwrap; ]
Solve[equation1, x]
:[font = input; nowordwrap; ]
equation1 /. %
:[font = input; nowordwrap; ]
Simplify[%]
:[font = input; nowordwrap; ]
equation2 = x^3 + 3 x^2 - x + 1 == 0
:[font = input; nowordwrap; ]
solution2 = Solve[equation2, x]
:[font = input; nowordwrap; ]
subst = equation2 /. solution2
:[font = input; nowordwrap; ]
subst = equation2 /. solution2;
:[font = input; nowordwrap; ]
subst = Short[equation2 /. solution2]
:[font = input; nowordwrap; ]
subst = Short[equation2 /. solution2, 2]
:[font = input; nowordwrap; ]
subst = Shallow[equation2 /. solution2]
:[font = input; nowordwrap; ]
Simplify[subst] // Timing
:[font = input; nowordwrap; ]
ExpandAll[subst] // Timing
:[font = input; nowordwrap; ]
Simplify[%[[2]]] // Timing
:[font = input; nowordwrap; ]
Solve[equation1, x]
:[font = input; nowordwrap; ]
% /. a -> 0
:[font = input; endGroup; nowordwrap; ]
Reduce[equation1, x]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Systems of Equations
:[font = input; nowordwrap; ]
eqnList1 = {a x^2 + y == 1, b y - x == 15}
:[font = input; nowordwrap; ]
solution = Solve[eqnList1, {x, y}]
:[font = input; nowordwrap; ]
eqnList1 /. solution // Simplify
:[font = input; endGroup; nowordwrap; ]
Eliminate[eqnList1, x]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Unsolvable Equations
:[font = input; nowordwrap; ]
Solve[Sin[x] == 1, x]
:[font = input; nowordwrap; ]
Solve[Tan[x] == -x, x]
:[font = input; nowordwrap; ]
FindRoot[Tan[x] + x == 0, {x, 1}]
:[font = input; nowordwrap; ]
FindRoot[Tan[x] + x == 0, {x, 2}]
:[font = input; nowordwrap; ]
eqnList2 = {Sin[x] + Tan[y] + 1 == 0, Cos[y] - Sin[x] == 0}
:[font = input; nowordwrap; ]
FindRoot[eqnList2, {x, .5}, {y, .5}]
:[font = input; nowordwrap; ]
NSolve[x^6 + x^5 - 3 x^2 + x - 5 == 0, x]
:[font = input; preserveAspect; nowordwrap; ]
Solve[x^6 + x^5 - 3 x^2 + x - 5 == 0, x]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
N[%]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Questions and Answers
:[font = input; preserveAspect; nowordwrap; ]
Solve[x^3 ==  1, x]
:[font = input; preserveAspect; nowordwrap; ]
x^2 /. %
:[font = input; preserveAspect; nowordwrap; ]
x^2 /. %%[[2]]
:[font = input; preserveAspect; nowordwrap; ]
Solve[x == a, x]
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
x = x /. %[[1]]
:[font = subsection; inactive; startGroup; Cclosed; ]
1.4.3 Calculus
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Derivatives
:[font = input; nowordwrap; ]
D[x^(x^x), x]
:[font = input; nowordwrap; ]
D[x^x, {x, 3}]
:[font = input; nowordwrap; ]
Simplify[%]
:[font = input; nowordwrap; ]
D[1/Sqrt[x^2 + y^2 + z^2], x, y, z]
:[font = input; nowordwrap; ]
D[BesselJ[n, x], x]
:[font = input; nowordwrap; ]
D[x^n, x]
:[font = input; nowordwrap; ]
Dt[x^n, x]
:[font = input; endGroup; nowordwrap; ]
Dt[x^n]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Defining Functions
:[font = input; nowordwrap; ]
square[x_] := x^2
:[font = input; nowordwrap; ]
square[10]
:[font = input; nowordwrap; ]
g1[x_] := D[x y, y]
:[font = input; nowordwrap; ]
g2[x_] = D[x y, y]
:[font = input; nowordwrap; ]
g1[a]
:[font = input; nowordwrap; ]
g2[a]
:[font = input; nowordwrap; ]
g1[Sin[y]]
:[font = input; nowordwrap; ]
g2[Sin[y]]
:[font = input; nowordwrap; ]
r[x_, y_, z_] := 1/Sqrt[x^2 + y^2 + z^2]
:[font = input; nowordwrap; ]
D[r[x, y, z], {x, 2}, {y, 2}, {z, 2}]
:[font = input; nowordwrap; ]
D[f[x], x]
:[font = input; nowordwrap; ]
D[Log[f[x]], {x, 2}]
:[font = input; preserveAspect; nowordwrap; ]
Sin'[x]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
D[g[x, y, z], {x, 2}, y]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Integrals
:[font = input; nowordwrap; ]
sillyFunc[x_] := (a + x^2 + x^3)/(x - b)^5
:[font = input; nowordwrap; ]
Integrate[sillyFunc[x], x]
:[font = input; nowordwrap; ]
D[%, x] // Simplify
:[font = input; nowordwrap; ]
Integrate[(Log[x] + Sin[x])(x^-2 + Exp[x]), x]
:[font = input; nowordwrap; ]
Integrate[sillyFunc[x], x, y]
:[font = input; nowordwrap; ]
Integrate[sillyFunc[x], {x, 0, 1}]
:[font = input; nowordwrap; ]
Integrate[Log[x] Exp[-x^2], {x, 1, Infinity}]
:[font = input; preserveAspect; nowordwrap; ]
Integrate[1/x^2, {x, -1, 1}]
:[font = input; preserveAspect; nowordwrap; ]
(Integrate[1/x^2, x] /. x -> 1) -
  (Integrate[1/x^2, x] /. x -> -1)
:[font = input; nowordwrap; ]
Integrate[Sin[x] / Log[x], x]
:[font = input; nowordwrap; ]
Integrate[Sin[x] / Log[x], {x, 2, 3}]
:[font = input; preserveAspect; nowordwrap; ]
N[%]
:[font = input; preserveAspect; nowordwrap; ]
NIntegrate[Sin[x] / Log[x], {x, 2, 3}]
:[font = input; preserveAspect; nowordwrap; ]
Integrate[1/(x^5 + 2 x^3 + 3 x + 5), x]
:[font = input; preserveAspect; nowordwrap; ]
den = Factor[N[x^5 + 2 x^3 + 3 x + 5]]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Integrate[1/den, x]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Limits, Residues
:[font = input; nowordwrap; ]
Limit[Sin[x] / x, x -> 0]
:[font = input; nowordwrap; ]
Limit[Tan[x], x -> Pi/2, Direction -> +1]
:[font = input; nowordwrap; ]
Limit[Tan[x], x -> Pi/2, Direction -> -1]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Residue[1/Sin[x]^3, {x, 0}]
:[font = subsubsection; inactive; startGroup; Cclosed; ]
Differential Equations
:[font = input; nowordwrap; ]
ode = x''[t] + x[t] == t Sin[t]^2 Cos[t]
:[font = input; nowordwrap; ]
genSol = Simplify[DSolve[ode, x[t], t]]
:[font = input; nowordwrap; ]
specSol = Simplify[
  DSolve[{ode, x[0] == 1, x'[0] == 0}, x[t], t]]
:[font = input; nowordwrap; ]
DSolve[x[t] x'[t] == 1, x[t], t]
:[font = input; nowordwrap; ]
sys = {x[t] + x'[t] == y[t], x[t] + y'[t] == 1};
:[font = input; nowordwrap; ]
sysSol = Simplify[DSolve[sys, {x[t], y[t]}, t]]
:[font = input; nowordwrap; ]
sys /. sysSol
:[font = input; nowordwrap; ]
sysSolPure = Simplify[DSolve[sys, {x, y}, t]]
:[font = input; nowordwrap; ]
sys /. sysSolPure // Simplify
:[font = input; preserveAspect; nowordwrap; ]
DSolve[t x''[t] + (1 - t^2) x'[t] - t x[t] == 0,
  x[t], t]
:[font = input; preserveAspect; nowordwrap; ]
Needs["Calculus`DSolve`"]
:[font = input; preserveAspect; nowordwrap; ]
DSolve[t x''[t] + (1 - t^2) x'[t] - t x[t] == 0,
  x[t], t]
:[font = input; nowordwrap; ]
DSolve[x''[t] + Sin[x[t]] == 0, x[t], t]
:[font = input; nowordwrap; ]
mathPendRule = NDSolve[
  {x''[t] + Sin[x[t]] == 0, x[0] == 0, x'[0] == 1},
  x, {t, 0, 10}]
:[font = input; endGroup; endGroup; endGroup; nowordwrap; ]
x[1.5] /. mathPendRule[[1]]
^*)