(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = section; inactive; preserveAspect; startGroup; ]
2.2 Patterns
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
2.2.1 Simple Patterns
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Patterns in Transformation Rules
:[font = input; preserveAspect; nowordwrap; ]
expr = 1 + y^2 + y^3 + z^2 + y^2 Sin[z];
:[font = input; preserveAspect; nowordwrap; ]
expr /. z -> a
:[font = input; preserveAspect; nowordwrap; ]
expr /. _^2 -> a^2
:[font = input; preserveAspect; nowordwrap; ]
expr /. _^n_ -> a^n
:[font = input; preserveAspect; endGroup; nowordwrap; ]
expr /. y^n_ + y^m_ -> f[n, m]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Patterns in Function Definitions
:[font = input; preserveAspect; nowordwrap; ]
f[x_] := x^2
:[font = input; preserveAspect; nowordwrap; ]
f[a]
:[font = input; preserveAspect; nowordwrap; ]
g[x] := x^2
:[font = input; preserveAspect; nowordwrap; ]
g[a]
:[font = input; preserveAspect; nowordwrap; ]
g[x]
:[font = input; preserveAspect; nowordwrap; ]
h[x_, x_] := k[x]
:[font = input; preserveAspect; nowordwrap; ]
h[1, 2]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
h[a, a]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Searching Patterns
:[font = input; preserveAspect; nowordwrap; ]
Position[expr, _^2]
:[font = input; preserveAspect; nowordwrap; ]
Count[{a, b^2, c^3, 1}, _^_]
:[font = input; preserveAspect; nowordwrap; ]
Count[expr, _^2]
:[font = input; preserveAspect; nowordwrap; ]
Count[expr, _^2, Infinity]
:[font = input; preserveAspect; nowordwrap; ]
Cases[{a, b^2, c^3, 1}, _^_]
:[font = input; preserveAspect; nowordwrap; ]
Cases[expr, _^2, Infinity]
:[font = input; preserveAspect; nowordwrap; ]
Cases[expr, _^n_ -> n, Infinity]
:[font = input; preserveAspect; nowordwrap; ]
DeleteCases[expr, _^_]
:[font = input; preserveAspect; nowordwrap; ]
DeleteCases[expr, _^_, Infinity]
:[font = input; preserveAspect; nowordwrap; ]
Select[{1, 2.1, x, 4.1, 1, 2, a}, NumberQ]
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
Select[{1, 2.1, x, 4.1, 1, 2, a}, #<3&]
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
2.2.2 Restricted Patterns
:[font = input; nowordwrap; ]
cross[u_, v_] := 
  RotateLeft[u RotateLeft[v] - RotateLeft[u] v] /; 
    VectorQ[u] && VectorQ[v] && 
    Length[u] == 3 && Length[v] == 3
:[font = input; preserveAspect; nowordwrap; ]
t1[a_ /; a > 2, b_ /; b > 3] := c
:[font = input; preserveAspect; nowordwrap; ]
t1[1, 9]
:[font = input; preserveAspect; nowordwrap; ]
t1[3, 9]
:[font = input; preserveAspect; nowordwrap; ]
t2[a_, b_] := c /; a > 2 && b > 3
:[font = input; preserveAspect; nowordwrap; ]
selectGreaterOne[v_List] := Select[v, #>1&]
:[font = input; preserveAspect; nowordwrap; ]
selectGreaterOne[a + 2]
:[font = input; preserveAspect; nowordwrap; ]
selectGreaterOne[{1, 2, a, 3}]
:[font = input; preserveAspect; nowordwrap; ]
div2[n_?EvenQ] := n/2
:[font = input; preserveAspect; nowordwrap; ]
div2[3]
:[font = input; preserveAspect; nowordwrap; ]
div2[4]
:[font = input; preserveAspect; nowordwrap; ]
fac[n_?(# > 0 && IntegerQ[#]&)] := n!
:[font = input; preserveAspect; nowordwrap; ]
fac[-1]
:[font = input; preserveAspect; nowordwrap; ]
fac[10]
:[font = input; preserveAspect; nowordwrap; ]
multAdd[{x_List, y_List} ? MatrixQ] := {x . y, x + y}
:[font = input; preserveAspect; nowordwrap; ]
multAdd[{{1, 2}, {3, 4, 5}}]
:[font = input; preserveAspect; nowordwrap; ]
multAdd[{{1, 2}, {3, 4}}]
:[font = input; preserveAspect; nowordwrap; ]
?*Q
:[font = input; preserveAspect; nowordwrap; ]
NumberQ[a]
:[font = input; preserveAspect; nowordwrap; ]
Positive /@ {-1, a, 1}
:[font = input; preserveAspect; nowordwrap; ]
TrueQ[Positive[#]]& /@ {-1, a, 1}
:[font = input; preserveAspect; nowordwrap; ]
a == 1
:[font = input; preserveAspect; endGroup; nowordwrap; ]
a === 1
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
2.2.3 More Complicated Patterns
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Naming Parts of Patterns
:[font = input; preserveAspect; nowordwrap; ]
{a, b, Sin[a], Sin[b]} /. x:Sin[_] -> p[x^2]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
{f[h[1], h[2]], f[h[1], h[1]]} /. f[x:h[_], x_] -> x
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Complex and Rational Numbers
:[font = input; preserveAspect; nowordwrap; ]
FullForm[1 - I]
:[font = input; preserveAspect; nowordwrap; ]
FullForm[2/3]
:[font = input; preserveAspect; nowordwrap; ]
1 - I /. Complex[a_, b_] -> {a, b}
:[font = input; preserveAspect; endGroup; nowordwrap; ]
2/3 /. Rational[a_, b_] -> {a, b}
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Alternatives for Patterns
:[font = input; preserveAspect; nowordwrap; ]
x + x^2 + x^3 + y /. x | x^_ -> c
:[font = input; preserveAspect; nowordwrap; ]
d[a x_ | a + x_] := da
:[font = input; preserveAspect; endGroup; nowordwrap; ]
{d[a b], d[a + b], d[a]}
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Optional Arguments, Default Values
:[font = input; preserveAspect; nowordwrap; ]
add[x_, y_] := x + y
:[font = input; preserveAspect; nowordwrap; ]
add[a]
:[font = input; preserveAspect; nowordwrap; ]
add[x_, y_:0] := x + y
:[font = input; preserveAspect; nowordwrap; ]
add[a]
:[font = input; preserveAspect; nowordwrap; ]
s[x_. + y_] := mySum[x, y]
:[font = input; preserveAspect; nowordwrap; ]
s[a + b]
:[font = input; preserveAspect; nowordwrap; ]
s[a]
:[font = input; preserveAspect; nowordwrap; ]
lin[a_. x_ + b_., x_] := {a, b}
:[font = input; preserveAspect; nowordwrap; ]
lin[x + 1, x]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
lin[x, x]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Variable Numbers of Arguments, Functions with Optional Arguments
:[font = input; preserveAspect; nowordwrap; ]
makeList[x__] := {x}
:[font = input; preserveAspect; nowordwrap; ]
makeList[a, b, c]
:[font = input; preserveAspect; nowordwrap; ]
Options[fWithOpts] = {opt1 -> def1, opt2 -> def2}
:[font = input; preserveAspect; nowordwrap; ]
opt1 /. Options[fWithOpts]
:[font = input; preserveAspect; nowordwrap; ]
opt1 /. opt1 -> 3 /. Options[fWithOpts]
:[font = input; preserveAspect; nowordwrap; ]
fWithOpts[x_, opts___?OptionQ] := 
  {x, opt1, opt2} /. Flatten[{opts}] /. Options[fWithOpts]
:[font = input; preserveAspect; nowordwrap; ]
fWithOpts[a]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
fWithOpts[a, opt2 -> q]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Repeated Patterns
:[font = input; preserveAspect; nowordwrap; ]
j[x:h[_]..] := {x}
:[font = input; preserveAspect; nowordwrap; ]
j[h[1], h[2], h[5]]
:[font = input; preserveAspect; nowordwrap; ]
j[h[1], h]
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
Cases[{f[a], f[a, b, a], f[a, b, c]}, f[(a | b)..]]
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
2.2.4 Example: A Simple Integrator
:[font = input; nowordwrap; ]
myIntegrate[y_ + z_, x_] := 
  myIntegrate[y, x] + myIntegrate[z, x]
:[font = input; nowordwrap; ]
myIntegrate[c_ y_, x_] := c myIntegrate[y, x] /;
  FreeQ[c, x]
:[font = input; nowordwrap; ]
myIntegrate[c_, x] := c x /; FreeQ[c, x]
:[font = input; nowordwrap; ]
myIntegrate[x_^n_., x_] := x^(n+1)/(n+1) /; 
  FreeQ[n, x] && n != -1
:[font = input; nowordwrap; ]
myIntegrate[a x^2 + b x + c + 1/x, x]
:[font = input; nowordwrap; ]
myIntegrate[1/(a_. x_ + b_.), x_] :=
  Log[a x + b]/a /; FreeQ[{a, b}, x]
:[font = input; endGroup; endGroup; nowordwrap; ]
myIntegrate[a x^2 + b x + c + 1/x, x]
^*)