(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = section; inactive; preserveAspect; startGroup; ]
3.2 Developing Programs
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
3.2.1 Debugging
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Tracing the Evaluation
:[font = input; preserveAspect; nowordwrap; ]
For[i = 1; j = 1; p = 5, p < 1000, i++,
  p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]]
:[font = input; preserveAspect; nowordwrap; ]
Trace[For[i = 1; j = 1; p = 5, p < 1000, i++,
  p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]]]
:[font = input; preserveAspect; nowordwrap; ]
Trace[For[i = 1; j = 1; p = 5, p < 1000, i++,
    p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]],
  j]
:[font = input; preserveAspect; nowordwrap; ]
Trace[For[i = 1; j = 1; p = 5, p < 1000, i++,
    p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]],
  p = _]
:[font = input; preserveAspect; nowordwrap; ]
Trace[For[i = 1; j = 1; p = 5, p < 1000, i++,
    p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]],
  _ = _]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Trace[For[i = 1; j = 1; p = 5, p < 1000, i++,
    p = Prime[j + i]; j = Floor[Sqrt[(p+1)^2]]],
  TraceOn -> Floor]
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; ]
Dialogs
:[font = input; preserveAspect; nowordwrap; ]
Do[n = N[Sqrt[i]], {i, 100000000}]
:[font = input; preserveAspect; nowordwrap; ]
i
:[font = input; preserveAspect; nowordwrap; ]
n
:[font = input; preserveAspect; nowordwrap; ]
Return[]
:[font = input; preserveAspect; nowordwrap; ]
y = t; TraceDialog[Do[y = Expand[(y + i)^2], {i, 5}],
  y = a_. + _^4]
:[font = input; preserveAspect; nowordwrap; ]
i
:[font = input; preserveAspect; nowordwrap; ]
t = 1
:[font = input; preserveAspect; nowordwrap; ]
Return[]
:[font = input; preserveAspect; nowordwrap; ]
y
:[font = input; preserveAspect; nowordwrap; ]
f[0] = 1;
:[font = input; preserveAspect; nowordwrap; ]
f[n_] := (If[n==3, Dialog[]]; n f[n-1])
:[font = input; preserveAspect; nowordwrap; ]
f[5]
:[font = input; preserveAspect; nowordwrap; ]
Stack[]
:[font = input; preserveAspect; nowordwrap; ]
Stack[_]
:[font = input; preserveAspect; nowordwrap; ]
Stack[Times[_]]
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
Return[]
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
3.2.2 Example: NonNegativeQ`
:[font = text; inactive; preserveAspect; ]
Remarks:

If you want to reproduce the development of the package shown in the book, you have to temporarily rename the package skpackag`nonnegat`. The input cells which should be saved in the file nonnegat.m are made inactive in this notebook. For every step in the development, copy the corresponding cells into a file nonnegat.m (in the directory skpackag), make them active, and define them as initialization cells (Options Inactive and Initialization Cell in the menu Style > Attributes).
:[font = input; preserveAspect; nowordwrap; ]
p /: Positive[p] = True;
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ[x_] := True /; Positive[x] || NonNegative[x]
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ[p]
:[font = input; inactive; nowordwrap; ]
BeginPackage["SKPackages`NonNegativeQ`"];
:[font = input; inactive; preserveAspect; nowordwrap; ]
Off[General::spell1];
:[font = input; inactive; nowordwrap; ]
NonNegativeQ::usage =
"NonNegativeQ[expr] returns True if expr is obviously not negative and else False. Properties of symbols can be defined with the functions Positive, NonNegative and Negative (e.g., x /: Positive[x] = True). Real symbols can be declared by definitions like a /: Im[a] = 0";
:[font = input; inactive; preserveAspect; nowordwrap; ]
On[General::spell1];
:[font = input; inactive; nowordwrap; ]
Begin["`Private`"];
:[font = input; inactive; nowordwrap; ]
NonNegativeQ[x_] := False
:[font = input; inactive; nowordwrap; ]
End[];
:[font = input; inactive; nowordwrap; ]
EndPackage[];
:[font = input; preserveAspect; nowordwrap; ]
Remove[NonNegativeQ]
:[font = input; preserveAspect; nowordwrap; ]
<<SKPackages`NonNegativeQ`
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ[p]
:[font = input; preserveAspect; nowordwrap; ]
NonNegative[q] ^= True;
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ[p q]
:[font = input; inactive; nowordwrap; ]
BeginPackage["SKPackages`NonNegativeQ`"];
:[font = input; inactive; preserveAspect; nowordwrap; ]
Off[General::spell1];
:[font = input; inactive; nowordwrap; ]
NonNegativeQ::usage =
"NonNegativeQ[expr] returns True if expr is obviously not negative and else False. Properties of symbols can be defined with the functions Positive, NonNegative and Negative (e.g., x /: Positive[x] = True). Real symbols can be declared by definitions like a /: Im[a] = 0";
:[font = input; inactive; preserveAspect; nowordwrap; ]
On[General::spell1];
:[font = input; inactive; nowordwrap; ]
Begin["`Private`"];
:[font = input; inactive; nowordwrap; ]
Clear[NonNegativeQ];
:[font = input; inactive; preserveAspect; nowordwrap; ]
NonNegativeQ[x_] := True /; Positive[x] || NonNegative[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NonNegativeQ[x_?(!AtomQ[#]&)] := NNQ[Factor[x]]
:[font = input; inactive; nowordwrap; ]
NonNegativeQ[x_] := False
:[font = input; inactive; nowordwrap; ]
NNQ[x_ y_] := (NNQ[x] && NNQ[y]) || (NNQ[-x] && NNQ[-y]) /;
    x =!= -1 && y =!= -1
:[font = input; inactive; nowordwrap; ]
NNQ[x_ + y_] := NNQ[x] && NNQ[y]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[-x_] := True /;
  Positive[-x] || NonNegative[-x] || Negative[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[x_] := True /;
  Positive[x] || NonNegative[x] || Negative[-x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[x_?AtomQ] := NonNegativeQ[x]
:[font = input; inactive; nowordwrap; ]
NNQ[x_] := False
:[font = input; inactive; nowordwrap; ]
End[];
:[font = input; inactive; nowordwrap; ]
EndPackage[];
:[font = input; preserveAspect; nowordwrap; ]
<<SKPackages`NonNegativeQ`
:[font = input; preserveAspect; nowordwrap; ]
Negative[n] ^= True;
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ /@ {p, q, n, p q, -p q n, p q n, a p}
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ[p^2]
:[font = input; inactive; nowordwrap; ]
BeginPackage["SKPackages`NonNegativeQ`"];
:[font = input; inactive; preserveAspect; nowordwrap; ]
Off[General::spell1];
:[font = input; inactive; nowordwrap; ]
NonNegativeQ::usage =
"NonNegativeQ[expr] returns True if expr is obviously not negative and else False. Properties of symbols can be defined with the functions Positive, NonNegative and Negative (e.g., x /: Positive[x] = True). Real symbols can be declared by definitions like a /: Im[a] = 0";
:[font = input; inactive; preserveAspect; nowordwrap; ]
On[General::spell1];
:[font = input; inactive; nowordwrap; ]
Begin["`Private`"];
:[font = input; inactive; nowordwrap; ]
Clear[NonNegativeQ, NNQ];
:[font = input; inactive; preserveAspect; nowordwrap; ]
RealTest[x_?AtomQ] := True /; NonNegativeQ[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
RealTest[x_] := True /; Im[x] == 0 ||
  Positive[x] || NonNegative[x] || Negative[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
RealTest[x_ + y_] := RealTest[x] && RealTest[y]
:[font = input; inactive; preserveAspect; nowordwrap; ]
RealTest[x_ y_] := RealTest[x] && RealTest[y]
:[font = input; inactive; preserveAspect; nowordwrap; ]
RealTest[x_^_Integer] := RealTest[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NonNegativeQ[x_] := True /; Positive[x] || NonNegative[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NonNegativeQ[x_?(!AtomQ[#]&)] := NNQ[Factor[x]]
:[font = input; inactive; nowordwrap; ]
NonNegativeQ[x_] := False
:[font = input; inactive; nowordwrap; ]
NNQ[x_ y_] := (NNQ[x] && NNQ[y]) || (NNQ[-x] && NNQ[-y]) /;
    x =!= -1 && y =!= -1
:[font = input; inactive; nowordwrap; ]
NNQ[x_ + y_] := NNQ[x] && NNQ[y]
:[font = input; inactive; nowordwrap; ]
NNQ[x_^_?OddQ] := NNQ[x] /; RealTest[x]
:[font = input; inactive; nowordwrap; ]
NNQ[-x_^_?OddQ] := NNQ[-x] /; RealTest[x]
:[font = input; inactive; nowordwrap; ]
NNQ[x_^_?EvenQ] := True /; RealTest[x]
:[font = input; inactive; nowordwrap; ]
NNQ[Abs[x_]] := True
:[font = input; inactive; nowordwrap; ]
NNQ[Sqrt[x_]] := True /; RealTest[x]
:[font = input; inactive; nowordwrap; ]
NNQ[Exp[x_]] := True /; RealTest[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[-x_] := True /;
  Positive[-x] || NonNegative[-x] || Negative[x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[x_] := True /;
  Positive[x] || NonNegative[x] || Negative[-x]
:[font = input; inactive; preserveAspect; nowordwrap; ]
NNQ[x_?AtomQ] := NonNegativeQ[x]
:[font = input; inactive; nowordwrap; ]
NNQ[x_] := False
:[font = input; inactive; nowordwrap; ]
End[];
:[font = input; inactive; nowordwrap; ]
EndPackage[];
:[font = input; preserveAspect; nowordwrap; ]
<<SKPackages`NonNegativeQ`
:[font = input; preserveAspect; nowordwrap; ]
NonNegativeQ /@ {p^2, n^2, n^2 + 2 p n + p^2, (-p)^3 (-q)}
:[font = input; preserveAspect; endGroup; nowordwrap; ]
NonNegativeQ[2 p^2 + 2 p n + n^2]
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
3.2.3 Example: AbsArg`
:[font = text; inactive; preserveAspect; ]
Remarks:

If you want to reproduce the development of the package shown in the book, you have to temporarily rename the package skpackag`absarg`. The input cells which should be saved in the file absarg.m are made inactive in this notebook. Copy the corresponding cells into a file absarg.m (in the directory skpackag), make them active, and define them as initialization cells (Options Inactive and Initialization Cell in the menu Style > Attributes).
:[font = input; preserveAspect; nowordwrap; ]
<<Algebra`ReIm`
:[font = input; preserveAspect; nowordwrap; ]
Im[a] ^= 0; Im[b] ^= 0;
:[font = input; preserveAspect; nowordwrap; ]
Re[a + I b]
:[font = input; preserveAspect; nowordwrap; ]
Abs[a + I b]
:[font = input; inactive; nowordwrap; ]
BeginPackage["SKPackages`AbsArg`",
  "Algebra`ReIm`", "SKPackages`NonNegativeQ`"]
:[font = input; inactive; nowordwrap; ]
AbsArg::usage = 
"The package AbsArg extends the definitions of Abs and Arg to symbols. Properties of symbols should be given in the form: Re[z] ^= z; Im[z] ^= 0; Positive[z] ^= True, Negative[x] ^= True etc."
:[font = input; inactive; nowordwrap; ]
Begin["`Private`"]
:[font = input; inactive; nowordwrap; ]
reallyProtected = Unprotect[Abs, Arg]
:[font = input; inactive; nowordwrap; ]
Abs[z_] := Re[z] /; Im[z] == 0 && NonNegativeQ[Re[z]]
:[font = input; inactive; nowordwrap; ]
Abs[z_] := -Re[z] /; Im[z] == 0 && NonNegativeQ[-Re[z]]
:[font = input; inactive; nowordwrap; ]
Abs[z_] := Im[z] /; Re[z] == 0 && NonNegativeQ[Im[z]]
:[font = input; inactive; nowordwrap; ]
Abs[z_] := -Im[z] /; Re[z] == 0 && NonNegativeQ[-Im[z]]
:[font = input; inactive; nowordwrap; ]
Abs[z_] := Sqrt[Re[z]^2 + Im[z]^2]
:[font = input; inactive; nowordwrap; ]
Arg[z_] := 0 /; NonNegativeQ[z]
:[font = input; inactive; nowordwrap; ]
Arg[z_] := Pi /; NonNegativeQ[-z]
:[font = input; inactive; nowordwrap; ]
Arg[z_] := Pi/2 /; Re[z] == 0 && NonNegativeQ[Im[z]]
:[font = input; inactive; nowordwrap; ]
Arg[z_] := -Pi/2 /; Re[z] == 0 && NonNegativeQ[-Im[z]]
:[font = input; inactive; nowordwrap; ]
Arg[z_] := ArcTan[Im[z]/Re[z]] /;
  Re[z] =!= 0 && Im[z] =!= 0
:[font = input; inactive; nowordwrap; ]
Protect[Release[reallyProtected]]
:[font = input; inactive; nowordwrap; ]
End[]
:[font = input; inactive; nowordwrap; ]
EndPackage[]
:[font = input; preserveAspect; nowordwrap; ]
<<SKPackages`AbsArg`
:[font = input; preserveAspect; nowordwrap; ]
Abs[a + I b]
:[font = input; preserveAspect; nowordwrap; ]
Arg[a + I b]
:[font = input; preserveAspect; nowordwrap; ]
Abs[a^2]
:[font = input; preserveAspect; nowordwrap; ]
{Abs[a], Arg[a], Arg[I a]}
:[font = input; preserveAspect; nowordwrap; ]
Positive[a] ^= True;
:[font = input; preserveAspect; endGroup; nowordwrap; ]
{Abs[a], Arg[a], Arg[I a]}
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
3.2.4 Example: RSA`
:[font = input; preserveAspect; nowordwrap; ]
p = Prime[1000000]
:[font = input; preserveAspect; nowordwrap; ]
q = Prime[1100000]
:[font = input; preserveAspect; nowordwrap; ]
n = p q
:[font = input; nowordwrap; ]
generateE[p_Integer, q_Integer] :=
  Module[{res, n = p q, phi = (p-1)(q-1)},
    res = Random[Integer, {p, n}];
    While[GCD[res, phi] != 1,
      res = Random[Integer, {p, n}]];
    res
  ]
:[font = input; preserveAspect; nowordwrap; ]
e = generateE[p, q]
:[font = input; nowordwrap; ]
generateD[e_Integer, p_Integer, q_Integer] :=
  PowerMod[e, -1, (p-1)(q-1)]
:[font = input; preserveAspect; nowordwrap; ]
d = generateD[e, p, q]
:[font = input; nowordwrap; ]
rSAEncodeNumber[num_Integer, e_Integer, n_Integer] :=
  PowerMod[num, e, n] /; num < n
:[font = input; preserveAspect; nowordwrap; ]
rSAEncodeNumber[311954, e, n]
:[font = input; nowordwrap; ]
rSADecodeNumber[num_Integer, d_Integer, n_Integer] :=
  PowerMod[num, d, n]
:[font = input; preserveAspect; nowordwrap; ]
rSADecodeNumber[%%, d, n]
:[font = input; nowordwrap; ]
convertString[str_String] :=
  Fold[Plus[256 #1, #2]&, 0, ToCharacterCode[str]]
:[font = input; preserveAspect; nowordwrap; ]
convertString["A message"]
:[font = input; nowordwrap; ]
stringToList[text_String, n_Integer] :=
  Module[
    { 
      blockLength = Floor[N[Log[256, n]]],
      strLength = StringLength[text]
    },    
    convertString /@ Table[StringTake[text, 
        {i, Min[strLength, i + blockLength - 1]}],
      {i, 1, strLength, blockLength}]
  ] /; n > 256
:[font = input; preserveAspect; nowordwrap; ]
stringToList["A message", n]
:[font = input; preserveAspect; nowordwrap; ]
makeList[0] = {};
:[font = input; nowordwrap; ]
makeList[num_Integer] :=
  Append[makeList[Quotient[num, 256]], Mod[num, 256]]
:[font = input; preserveAspect; nowordwrap; ]
convertNumber[num_Integer] :=
  FromCharacterCode /@ makeList[num]
:[font = input; nowordwrap; ]
listToString[l_List] :=
  StringJoin[convertNumber /@ l]
:[font = input; preserveAspect; nowordwrap; ]
listToString[%%%%%]
:[font = input; nowordwrap; ]
rSAEncode[text_String, e_Integer, n_Integer] :=
  rSAEncodeNumber[#, e, n]& /@
    stringToList[text, n] /; n > 256
:[font = input; nowordwrap; ]
rSADecode[l_List, d_Integer, n_Integer] :=
  listToString[rSADecodeNumber[#, d, n]& /@ l]
:[font = input; preserveAspect; nowordwrap; ]
rSAEncode["A message", e, n]
:[font = input; preserveAspect; nowordwrap; ]
rSADecode[%, d, n]
:[font = input; preserveAspect; nowordwrap; ]
<<SKPackages`RSA`
:[font = input; preserveAspect; nowordwrap; ]
RSAEncode["Another message", e, n]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
RSADecode[%, d, n]
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; ]
3.2.5 Example: Perturbation`
:[font = input; preserveAspect; nowordwrap; ]
equations = {x''[t] + x[t] + eps x[t]^3 == 0,
  x[0] == 1, x'[0] == 0}
:[font = input; preserveAspect; nowordwrap; ]
FullForm[x''[t]]
:[font = input; preserveAspect; nowordwrap; ]
equations /. 
      {
        x[t_] -> Sum[eps^i x[i][t], {i, 0, 2}],
        Derivative[n_][x][t_] ->
          Sum[eps^i Derivative[n][x[i]][t], {i, 0, 2}]
      }
:[font = input; nowordwrap; ]
polyOrderList[equations_List, x_, eps_,
    maxOrder_Integer] :=
  Module[{j, h = Head[x], substEqu},
    substEqu = equations /. 
      {
        h[t_] -> Sum[eps^i h[i][t], {i, 0, maxOrder}],
        Derivative[n_][h][t_] ->
          Sum[eps^i Derivative[n][h[i]][t],
            {i, 0, maxOrder}]
      } // ExpandAll;
    Table[Map[Coefficient[#, eps, j]&, substEqu, {2}],
      {j, 0, maxOrder}]
  ]
:[font = input; preserveAspect; nowordwrap; ]
eqnList = polyOrderList[equations, x[t], eps, 2]
:[font = input; preserveAspect; nowordwrap; ]
DSolve[eqnList[[1]], x[0], t] // Simplify
:[font = input; preserveAspect; nowordwrap; ]
r = %[[1]]
:[font = input; preserveAspect; nowordwrap; ]
solveOrder[rule_, equation_] :=
  Append[rule, DSolve[equation /. rule,
    x[Length[rule]], t][[1, 1]]] // Simplify
:[font = input; preserveAspect; nowordwrap; ]
solveOrder[r, eqnList[[2]]]
:[font = input; nowordwrap; ]
polyOrderSolutionRuleListPure[equations_List, x_,
    t_, eps_, maxOrder_Integer] :=
  Module[{h = Head[x], solveOrder},
    solveOrder[rule_, equation_] :=
      Append[rule, DSolve[equation /. rule,
        h[Length[rule]], t][[1, 1]]] // Simplify;
    Fold[solveOrder, {},
      polyOrderList[equations, x, eps, maxOrder]]
  ]
:[font = input; preserveAspect; nowordwrap; ]
polyOrderSolutionRuleListPure[equations, x[t], t, eps, 2]
:[font = input; nowordwrap; ]
perturbation::inising =
"The differential equation of order `1` does not have a solution which satisfies the given initial conditions. Consider attempting a singular perturbation.";
:[font = input; nowordwrap; ]
polyOrderSolutionRuleListPure[equations_List, x_,
    t_, eps_, maxOrder_Integer] :=
  Module[{h = Head[x], solveOrder},
    solveOrder[rule_, equation_] :=
      Module[{i, res},
        If[!FreeQ[rule, "error"], Return["error"]];
        i = Length[rule];
        Print["Solving equation of order ", i, " ..."];
        res = DSolve[equation /. rule, h[i], t] //
          Simplify;
        Which[
          !FreeQ[res, DSolve], 
            Return["error"],
          res == {},
            Message[perturbation::inising, i];
            Return["error"],
          True,
            Append[rule, res[[1, 1]]]
        ]
      ];
      Fold[solveOrder, {},
        polyOrderList[equations, x, eps, maxOrder]]
  ]
:[font = input; preserveAspect; nowordwrap; ]
polyOrderSolutionRuleListPure[equations, x[t], t, eps, 2]
:[font = input; preserveAspect; nowordwrap; ]
polyOrderSolutionRuleListPure[
  {eps x''[t] + x'[t] + x[t] == 0, x[0] == 1, x'[0] == 0},
   x[t], t, eps, 2]
:[font = input; nowordwrap; ]
polyOrderSolutionList[equations_List, x_,
    t_, eps_, maxOrder_Integer] :=
  Module[
    {
      h = Head[x],
      pure = polyOrderSolutionRuleListPure[equations, 
        x, t, eps, maxOrder]
    },
    If[!FreeQ[pure, "error"], Return["error"]];
    Drop[FoldList[Plus, 0, 
      Table[eps^i h[i][t] /. pure, {i, 0, maxOrder}]], 1]
  ]
:[font = input; preserveAspect; nowordwrap; ]
straight = polyOrderSolutionList[equations, x[t],
  t, eps, 2]
:[font = input; preserveAspect; nowordwrap; ]
Plot[Evaluate[straight /. eps -> .1], {t, 0, 10}, 
  PlotStyle ->
    {Dashing[{}], Dashing[{.1, .05}],
     Dashing[{.05, .05}]}]
:[font = input; preserveAspect; nowordwrap; ]
ParametricPlot[Transpose[
  {straight, D[straight, t]}] /. eps -> .5 // Evaluate,
  {t, 0, 10}, PlotStyle ->
    {Dashing[{}], Dashing[{.1, .05}],
     Dashing[{.05, .05}]}]
:[font = input; preserveAspect; nowordwrap; ]
Needs["SKPackages`Perturbation`"]
:[font = input; preserveAspect; nowordwrap; ]
strained = StrainedSolutionList[
  equations, x[t], t, eps, 2]
:[font = input; preserveAspect; nowordwrap; ]
ParametricPlot[Transpose[
  {strained, D[strained, t]}] /. eps -> .5 // Evaluate,
  {t, 0, 10}, PlotStyle ->
    {Dashing[{}], Dashing[{.1, .05}],
     Dashing[{.05, .05}]}]
:[font = input; endGroup; endGroup; nowordwrap; ]
MatchedSolutionList[
  {eps x''[t] + x'[t] + x[t] == 0, x[0] == a, x[1] == b},
   tau == t/eps, x[t], t, tau, eps, 1]
^*)